Bug 107118 - evolution opens new windows on wrong X11 screen
evolution opens new windows on wrong X11 screen
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-15 03:27 EDT by Jan Iven
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-16 18:07:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Iven 2003-10-15 03:27:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1) Gecko/20031009

Description of problem:
When running with parallel X sessions for the same user on the same machine
(DISPLAY=:0 and DISPLAY=:1), evolution opens new windows always on the screen
that has the first instance of it running.



Version-Release number of selected component (if applicable):
evolution-1.4.5-2

How reproducible:
Always

Steps to Reproduce:
0. run two parallel XFree86, e.g on virtual consoles. Log in as same user on both
1. on DISPLAY=:0, fire up "evolution" and leave it running
2. switch to DISPLAY=:1
3. launch "evolution" from command line
    

Actual Results:  new window will appear on DISPLAY=:0

Expected Results:  new window should appear on DISPLAY=:1

Additional info:

(appeared on a laptop with different screens for internal and external monitor.
Other GNOME programs work fine). Launching the first instance of evolution on
DISPLAY=:1 will reverse behaviour, all new instances will stay on DISPLAY=:1
afterwards.
Comment 1 Jeremy Katz 2003-10-16 18:07:33 EDT
This is being worked on upstream -- 
http://lists.ximian.com/archives/public/evolution-patches/2003-September/003071.html

Note You need to log in before you can comment on or make changes to this bug.